Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(69)

Issue 1919383005: Small cleanup of SiteEngagementService. (Closed)

Created:
4 years, 4 months ago by calamity
Modified:
4 years, 3 months ago
Reviewers:
dominickn
CC:
chromium-reviews, chrome-apps-syd-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Small cleanup of SiteEngagementService. This CL moves pref management into SiteEngagementScore so that SiteEngagementService has a cleaner flow for operating on SiteEngagementScores. BUG=604305 Committed: https://crrev.com/090145cb43d2542eaac21d6cfd5c0580b77a1dbf Cr-Commit-Position: refs/heads/master@{#396789}

Patch Set 1 : #

Patch Set 2 : #

Total comments: 3

Patch Set 3 : start from scratch #

Patch Set 4 : const some thangs #

Total comments: 28

Patch Set 5 : address comments #

Total comments: 2

Patch Set 6 : address nit + rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+167 lines, -160 lines) Patch
M chrome/browser/engagement/site_engagement_score.h View 1 2 3 4 6 chunks +29 lines, -11 lines 0 comments Download
M chrome/browser/engagement/site_engagement_score.cc View 1 2 6 chunks +59 lines, -20 lines 0 comments Download
M chrome/browser/engagement/site_engagement_score_unittest.cc View 1 2 5 chunks +28 lines, -23 lines 0 comments Download
M chrome/browser/engagement/site_engagement_service.h View 1 2 3 4 4 chunks +10 lines, -12 lines 0 comments Download
M chrome/browser/engagement/site_engagement_service.cc View 1 2 3 4 5 10 chunks +41 lines, -94 lines 0 comments Download

Messages

Total messages: 22 (12 generated)
dominickn
Meta comment: I need to fix up issues with the score reset not being based ...
4 years, 4 months ago (2016-05-02 21:13:49 UTC) #7
calamity
I think this should address all your concerns as discussed.
4 years, 4 months ago (2016-05-25 04:18:28 UTC) #9
dominickn
This is so much cleaner than before! Mostly nits. https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h File chrome/browser/engagement/site_engagement_score.h (right): https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h#newcode7 chrome/browser/engagement/site_engagement_score.h:7: ...
4 years, 4 months ago (2016-05-25 06:52:43 UTC) #10
calamity
https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h File chrome/browser/engagement/site_engagement_score.h (right): https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h#newcode7 chrome/browser/engagement/site_engagement_score.h:7: On 2016/05/25 06:52:43, dominickn wrote: > #include <memory> for ...
4 years, 4 months ago (2016-05-26 08:26:20 UTC) #12
dominickn
lgtm % optional nit (combine if statement) https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h File chrome/browser/engagement/site_engagement_score.h (right): https://codereview.chromium.org/1919383005/diff/160001/chrome/browser/engagement/site_engagement_score.h#newcode144 chrome/browser/engagement/site_engagement_score.h:144: explicit SiteEngagementScore( ...
4 years, 4 months ago (2016-05-26 09:33:20 UTC) #13
dominickn
On 2016/05/26 09:33:20, dominickn wrote: > lgtm % optional nit (combine if statement) > > ...
4 years, 3 months ago (2016-05-31 05:02:46 UTC) #14
calamity
https://codereview.chromium.org/1919383005/diff/200001/chrome/browser/engagement/site_engagement_service.cc File chrome/browser/engagement/site_engagement_service.cc (right): https://codereview.chromium.org/1919383005/diff/200001/chrome/browser/engagement/site_engagement_service.cc#newcode259 chrome/browser/engagement/site_engagement_service.cc:259: if (origin.is_valid()) { On 2016/05/26 09:33:20, dominickn wrote: > ...
4 years, 3 months ago (2016-05-31 05:44:15 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1919383005/220001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1919383005/220001
4 years, 3 months ago (2016-05-31 05:44:30 UTC) #18
commit-bot: I haz the power
Committed patchset #6 (id:220001)
4 years, 3 months ago (2016-05-31 05:48:06 UTC) #20
commit-bot: I haz the power
4 years, 3 months ago (2016-05-31 05:49:22 UTC) #22
Message was sent while issue was closed.
Patchset 6 (id:??) landed as
https://crrev.com/090145cb43d2542eaac21d6cfd5c0580b77a1dbf
Cr-Commit-Position: refs/heads/master@{#396789}

Powered by Google App Engine
This is Rietveld 408576698